### Method

# Ggit RevisionWalker push

#### Declaration [src]

    void
    ggit_revision_walker_push (
      GgitRevisionWalker* walker,
      GgitOId* oid,
      GError** error
    )

#### Description [src]

Marks a commit to start traversal from.

The given OID must belong to a commit on the walked repository.

The given commit will be used as one of the roots when starting the revision walk. At least one commit must be pushed the repository before a walk can be started.

#### Parameters

`oid`

  Type: `GgitOId`

  A `GgitOId`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.